_base=porespy
pkgname=python-${_base}
pkgdesc="A set of tools for analyzing 3D images of porous materials"
pkgver=2.1.0
pkgrel=1
arch=(any)
url="https://github.com/PMEAL/${_base}"
license=(MIT)
depends=(python-dask python-deprecated python-edt python-imageio python-loguru python-matplotlib python-numba python-numpy python-numpy-stl python-openpnm python-pandas python-psutil python-pyevtk python-pyfastnoisesimd python-scikit-fmm python-scikit-image python-scipy python-tqdm python-trimesh)
makedepends=(python-setuptools)
checkdepends=(python-pytest)
#provides=('')
source=(${url}/archive/v${pkgver}.tar.gz)
sha512sums=('')

build() {
  cd ${_base}-${pkgver}
  export PYTHONHASHSEED=0
  python setup.py build
}

check() {
  cd ${_base}-${pkgver}
  #python -c "from setuptools import setup; setup();" install --root="${PWD}/tmp_install" --optimize=1 --skip-build
  #export HOME="${BUILDDIR}/${pkgname}"
  #mkdir -p ~/.config/betterbib/
  #echo -e "[DICTIONARY]\nadd=Magnus,Peano,Kutta,Runge,Hermitian,Jacobian\nremove=hermitian" >~/.config/betterbib/config.ini
  #PYTHONPATH="${PWD}/tmp_install$(python -c "import site; print(site.getsitepackages()[0])"):${PYTHONPATH}" python -m pytest --codeblocks
}

package() {
  cd ${pkgname}-${pkgver}
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python -c "from setuptools import setup; setup();" install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm 644 LICENSE.txt -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
